> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unomiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization

> Create a new organization.

Creates a new organization and adds the current user as an owner.
Requires the `create:organizations` permission, available to dashboard users.

Returns:
    The created organization object with id and timestamp



## OpenAPI

````yaml POST /organizations
openapi: 3.1.0
info:
  title: Unomiq Management API
  description: >-

    API for managing settings for organizations, applications and API keys.


    ## Authentication


    All API endpoints require authentication via JWT token in the Authorization
    header:


    ```

    Authorization: Bearer <your_jwt_token>

    ```
        
  version: 1.0.0
servers:
  - url: https://management-api.unomiq.com
    description: Production
security: []
paths:
  /organizations:
    post:
      tags:
        - organizations
      summary: Create Organization
      description: >-
        Create a new organization.


        Creates a new organization and adds the current user as an owner.

        Requires the `create:organizations` permission, available to dashboard
        users.


        Returns:
            The created organization object with id and timestamp
      operationId: create_organization_organizations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationCreateRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationCreateRequest:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
          description: Organization/company name
      type: object
      required:
        - name
      title: OrganizationCreateRequest
    OrganizationCreateResponse:
      properties:
        id:
          type: string
          title: Id
        role:
          type: string
          title: Role
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - role
        - created_at
      title: OrganizationCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````